/*
usage: 公共登录注册弹窗
base js:
    http://image.tanwan.com/jsCommon/jquery.min.js

funcs:
    pop_lr.init({game_id:7, gourl:'http://hd.yscq.com/ltzn/', auto:"login", lock:false});
    pop_lr.login(); //登录
    pop_lr.reg(); //注册
    pop_lr.alert(); //错误提示

default button: //页面id注册事件
    #pop_login_btn  #pop_reg_btn  #pop_logout_btn
*/
var _tw_pop_protocol = (('https:' == document.location.protocol) ? 'https:' : 'http:');
var _tw_pop_host = 'hd.yscq.com';
if (typeof (eval(extlogin_pop)) != "function") {
    function extlogin_pop(opts) {
        window.document.domain = "yscq.com";
        var defaults = {
            type: 1,
            modeList: 'open',
            game_id: 40,
            agent_id: 100,
            placeid: 100,
            redirect: false,
            goto_url: window.location.href,
            adid: '',
            cplaceid: '',
            ref: ''
        };
        opts = $.extend({}, defaults, opts);
        var path = ['qqlogin', 'qqlogin', 'wxlogin', 'weibologin'];
        var webApi = '';
        webApi += _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/' + path[opts.type] + '/?open=newwindow';
        webApi += '&game_id=' + opts.game_id;
        webApi += '&agent_id=' + opts.agent_id;
        webApi += '&placeid=' + opts.placeid;
        webApi += '&goto_url=' + encodeURIComponent(opts.goto_url);

        if (opts.redirect) {
            top.location.href = webApi;
        } else {
            webApi += '&from=' + encodeURIComponent(_tw_pop_protocol +'//'+ _tw_pop_host +'/extlogin.html');
            var newWin = window.open("", "newwindow", "height=600,width=800,top=0,left=0,toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,status=no");
            newWin.location.href = webApi;
        }
        return true;
    }
}
if (typeof (eval(getParamUrl)) != "function") {
    function getParamUrl(param, string) {
        try {
            var re = new RegExp("" + param + "=([^&?]*)", "ig");
            return ((string.match(re)) ? (decodeURIComponent(string.match(re)[0].substr(param.length + 1))) : '');
        } catch (_e) {
            return '';
        }
    }
}
if (typeof (eval(extloginCallBack)) != "function") {
    function extloginCallBack(e) {
        var success = getParamUrl("e", e);
        var weburl = decodeURIComponent(getParamUrl("weburl", e));
        if (success == 1) {
            top.window.location = weburl;
        } else {
            alert("授权暂时无法进行，请点击 “确认” 返回使用其他方式登录");
        }
    }
}
if (typeof (eval(getByteLen)) != "function") {
    //统计字符长度
    function getByteLen(val) {
        var len = 0;

        for (var i = 0; i < val.length; i++) {
            var length = val.charCodeAt(i);
            if( length>=0 && length<=128 ) {
                len += 1;
            } else {
                len += 2;
            }
        }

        return len;
    }
}

if (typeof(eval(get_token)) != "function") {
    function get_token(id){
        var _token_=document.getElementById(id);
        var api = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/get_csrf_token.php?callback=?';

        $.getJSON(api,function(json){
            if(json.token){
                _token_.value=json.token
            }
        })
    }
}

/* 密码加密 */
eval(function(p, a, c, k, e, d) {
    e = function(c) {
        return (c < a ? "" : e(parseInt(c / a))) + ((c = c % a) > 35 ? String.fromCharCode(c + 29) : c.toString(36))
    };
    if (!''.replace(/^/, String)) {
        while (c--) d[e(c)] = k[c] || e(c);
        k = [function(e) {
            return d[e]
        }];
        e = function() {
            return '\\w+'
        };
        c = 1;
    };
    while (c--)
        if (k[c]) p = p.replace(new RegExp('\\b' + e(c) + '\\b', 'g'), k[c]);
    return p;
}('e 5="F+/";m q(d){e 1,i,c;e 9,b,g;c=d.l;i=0;1="";x(i<c){9=d.k(i++)&v;f(i==c){1+=5.8(9>>2);1+=5.8((9&h)<<4);1+="==";r}b=d.k(i++);f(i==c){1+=5.8(9>>2);1+=5.8(((9&h)<<4)|((b&s)>>4));1+=5.8((b&n)<<2);1+="=";r}g=d.k(i++);1+=5.8(9>>2);1+=5.8(((9&h)<<4)|((b&s)>>4));1+=5.8(((b&n)<<2)|((g&y)>>6));1+=5.8(g&z)}p 1}m G(a){e t=5.l-2,w=[];H(i=0;i<E;i++){w.j(5.8(u.B(u.D()*t)));f(i===7){w.j(a.o(0,3))}f(i===C){w.j(a.o(3))}}p q(w.A(""))}', 44, 44, '|out||||base64EncodeChars|||charAt|c1||c2|len|str|var|if|c3|0x3||push|charCodeAt|length|function|0xF|substr|return|__rsa|break|0xF0|maxPos|Math|0xff||while|0xC0|0x3F|join|floor|12|random|15|ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789|td|for'.split('|'), 0, {}));

var pop_lr = {
    init: function (options) {
        var defaults = {
            game_id: 40,
            gourl: document.location.href,
            auto: false,
            lock: true,
            login_btn: '#pop_login_btn',
            reg_btn: '#pop_reg_btn',
            logout_btn: '#pop_logout_btn',
            code_btn: '#rr-phone-code-btn',
            code_btn_bind: '#rrr-phone-code-btn',
            code_btn_verify: '#rrrr-phone-code-btn',
            agent_id: 0,
            placeid: 0
        };
        var setting = {
            exp: {
                user: {data: /^[a-zA-Z0-9_@]{6,20}$/, msg: "6-20位字母、数字"},
                phone: {data: /^((1)+\d{10})$/, msg: "请输入正确手机号"},
                passwd: {data: /^[a-zA-Z0-9`~!-@#$%^&*()_+|{}\[\];':"<>?,.\/\\]{6,20}$/, msg: "6-20位字母、数字或特殊字符"},
                rpasswd: {data: /^([\w]{6,20})$/, msg: "6-20位字母、数字或特殊字符"},
                truename: {data: /^[\u4e00-\u9fa5]+[·•]?[\u4e00-\u9fa5]+$/, msg: "请输入真实姓名"},
                idcard: {data: /(^[0-9]{17}[0-9xX]$)|(^[0-9]{15}$)/, msg: "请输入身份证号"},
                verify: {data: /^([\w]{4,6})$/, msg: "请输入验证码"},
            },
            login: {
                tip_id: ".dialog-login .dialog-tip",
                tip_error_css: "r-dialog-tip-error",
                act_tip_id: ".dialog-login .r-dialog-act-error",
                ico_id: ".r-dialog-panel-log .r-dialog-ico",
                ico_error_css: "r-dialog-ico-error",
                ico_right_css: "r-dialog-ico-right",
                ids: {
                    user: {id: "#r-username", exp: 'user', tip_id: 0, clickOn: true, addClass: true},
                    passwd: {id: "#r-password", exp: 'passwd', tip_id: 0, clickOn: true, addClass: true},
                    verify: {id: "#r-verify-code", exp: 'verify', tip_id: 1, clickOn: false, addClass: false},
                    protocol: {id: "#r-dialog-protocol", exp: '', tip_id: 0, clickOn: false, addClass: true, msg: '请先阅读并同意《用户及隐私协议》'},
                    csrf_token: {id: "#r-login-csrf-token", exp: '', tip_id:0, clickOn: false, addClass: false}
                }
            },
            reg: {
                tip_id: ".dialog-register .dialog-tip",
                tip_error_css: "r-dialog-tip-error",
                act_tip_id: ".dialog-register .r-dialog-act-error",
                ico_id: ".r-dialog-panel-reg .r-dialog-ico",
                ico_error_css: "r-dialog-ico-error",
                ico_right_css: "r-dialog-ico-right",
                ids: {
                    user:{id:"#rr-username", exp:'user', tip_id:0,clickOn:true,addClass:true},
                    passwd: {id: "#rr-password", exp: 'passwd', tip_id: 0, clickOn: true, addClass: true},
                    rpasswd: {id: "#rr-rpassword", exp: 'rpasswd', tip_id: 0, clickOn: true, addClass: true},
                    truename: {id: "#rr-truename", exp: 'truename', tip_id: 0, clickOn: true, addClass: true},
                    idcard: {id: "#rr-idcard", exp: 'idcard', tip_id: 0, clickOn: true, addClass: true},
                    phone: {id:"#rr-phone", exp:'phone', tip_id:0,clickOn:true,addClass:true},
                    phonecode: {id: "#rr-phone-code", exp: 'verify', tip_id: 1, clickOn: false, addClass: false},
                    verify: {id: "#rr-safe-code", exp: 'verify', tip_id: 2, clickOn: false, addClass: false},
                    protocol: {id: "#rr-dialog-protocol", exp: '', tip_id: 0, clickOn: false, addClass: true},
                }
            },
            bind: {
                tip_id: ".dialog-bind-phone .dialog-tip",
                tip_error_css: "r-dialog-tip-error",
                act_tip_id: ".dialog-bind-phone .r-dialog-act-error",
                ico_id: ".r-dialog-panel-reg .r-dialog-ico",
                ico_error_css: "r-dialog-ico-error",
                ico_right_css: "r-dialog-ico-right",
                ids: {
                    phone: {id:"#rrr-phone", exp:'phone', tip_id:0,clickOn:true,addClass:true},
                    phonecode: {id: "#rrr-phone-code", exp: 'verify', tip_id: 1, clickOn: false, addClass: false},
                }
            },
            verify: {
                tip_id: ".dialog-login-verify .dialog-tip",
                tip_error_css: "r-dialog-tip-error",
                act_tip_id: ".dialog-login-verify .r-dialog-act-error",
                ico_id: ".r-dialog-panel-reg .r-dialog-ico",
                ico_error_css: "r-dialog-ico-error",
                ico_right_css: "r-dialog-ico-right",
                ids: {
                    phone: {id:"#r-username"},
                    phonecode: {id: "#rrrr-phone-code", exp: 'verify', tip_id: 1, clickOn: false, addClass: false},
                }
            }
        };

        var opts = $.extend(defaults, options);
        this.opts = opts;
        this.setting = setting;
        this._css();
        this._tpl();
        this._events();

        //引入扫码登录
        if (typeof (tw_qr_login) != 'object') {
            var qr_login_js = _tw_pop_protocol + '//image.tanwan.com/jsCommon/tw_qr_login.js';
            $.getScript(qr_login_js)
                .done(function (script, textStatus) {

                }).fail(function (jqxhr, settings, exception) {

            });
        } else {

        }

        //自动弹
        if (this.opts.auto == "login" && !pop_lr._getcookie('login_name')) {
            pop_lr.login();
        }
        if (this.opts.auto == "reg" && !pop_lr._getcookie('login_name')) {
            pop_lr.reg();
        }
    },
    _events: function () {
        var _this = this;

        $(document).on("click", "#hasNoAccount," + _this.opts.reg_btn, function (e) {
            e.preventDefault();
            pop_lr.reg();

        }).on("click", "#hasAccount," + _this.opts.login_btn, function (e) {
            e.preventDefault();
            pop_lr.login();

        }).on("click", ".dialog-third-qq", function (e) {
            e.preventDefault();
            //pop_lr._extlogin(1);
            alert("暂时不支持QQ登录");
            return false;

        }).on("click", ".dialog-third-wx", function (e) {
            e.preventDefault();
            //pop_lr._extlogin(2);
            alert("暂时不支持微信登录");
            return false;

        }).on("click", ".dialog-third-wb", function (e) {
            e.preventDefault();
            //pop_lr._extlogin(3);
            alert("暂时不支持微博登录");
            return false;

        }).on("click", _this.opts.logout_btn, function (e) {
            e.preventDefault();
            pop_lr.logout();

        }).on("click", ".r-dialog-close", function (e) {
            e.preventDefault();
            $('.dialog-bg').hide();
            $('.r-dialog-panel').hide();
            if (typeof (tw_qr_login) == 'object') {
                tw_qr_login.error('二维码已失效.');
            }
            if($(this).data('action') == 'reload'){
                window.location.reload();
            }
        }).on("click", "#tj-r-btn-log", function (e) {
            e.preventDefault();
            pop_lr._login();

        }).on("click", "#sub-reg", function (e) {
            e.preventDefault();
            pop_lr._reg();
        }).on("keypress", "#r-password,#r-verify-code", function (e) {
            if (e.keyCode === 13) {
                pop_lr._login();
            }
        }).on("keypress", "#rr-password,#rr-safe-code", function (e) {
            if (e.keyCode === 13) {
                pop_lr._reg();
            }
        }).on('click', _this.opts.code_btn, function (e) {
            e.preventDefault();
            pop_lr._send_code('reg');
        }).on('click', _this.opts.code_btn_bind, function (e) {
            e.preventDefault();
            pop_lr._send_code('bind');
        }).on('click', "#sub-bind", function (e) {
            e.preventDefault();
            pop_lr._bind();
        }).on('click', _this.opts.code_btn_verify, function (e) {
            e.preventDefault();
            pop_lr._send_code_verify();
        }).on('click', "#sub-login-verify", function (e) {
            e.preventDefault();
            pop_lr._login_verify();
        }).on('click', "#sub-login-question", function (e) {
            e.preventDefault();
            pop_lr._login_question();
        });

        $.each(_this["setting"]["login"]["ids"], function (key, value) {
            if (value["exp"]) {
                $(value["id"]).on("keyup", function () {
                    if (!_this["setting"]["exp"][value["exp"]]["data"].test($(value["id"]).val())) {
                        $(value["id"]).focus();
                        if (value["addClass"]) {
                            $(_this["setting"]["login"]["tip_id"]).eq(value["tip_id"]).addClass(_this["setting"]["login"]["tip_error_css"]).html(_this["setting"]["exp"][value["exp"]]["msg"]);
                        } else {
                            $(_this["setting"]["login"]["tip_id"]).eq(value["tip_id"]).html(_this["setting"]["exp"][value["exp"]]["msg"]);
                        }
                    } else {
                        $(_this["setting"]["login"]["tip_id"]).eq(value["tip_id"]).removeClass(_this["setting"]["login"]["tip_error_css"]).html('');
                    }
                });
            }
            if (value['clickOn']) {
                $(value["id"]).focus(function () {
                    this.parentNode.className = "on";
                }).blur(function () {
                    this.parentNode.className = "";
                });
            }
        });

        $.each(_this["setting"]["reg"]["ids"], function (key, value) {
            if (value["exp"]) {
                $(value["id"]).on("keyup", function () {
                    if (!_this["setting"]["exp"][value["exp"]]["data"].test($(value["id"]).val())) {
                        $(value["id"]).focus();
                        if (value["addClass"]) {
                            $(_this["setting"]["reg"]["tip_id"]).eq(value["tip_id"]).addClass(_this["setting"]["reg"]["tip_error_css"]).html(_this["setting"]["exp"][value["exp"]]["msg"]);
                        } else {
                            $(_this["setting"]["reg"]["tip_id"]).eq(value["tip_id"]).html(_this["setting"]["exp"][value["exp"]]["msg"]);
                        }
                        $(_this["setting"]["reg"]["ico_id"]).eq(value["tip_id"]).removeClass(_this["setting"]["reg"]["ico_right_css"]).addClass(_this["setting"]["reg"]["ico_error_css"]);
                    } else {
                        $(_this["setting"]["reg"]["tip_id"]).eq(value["tip_id"]).removeClass(_this["setting"]["reg"]["tip_error_css"]).html('');
                        $(_this["setting"]["reg"]["ico_id"]).eq(value["tip_id"]).removeClass(_this["setting"]["reg"]["ico_error_css"]).addClass(_this["setting"]["reg"]["ico_right_css"]);
                    }
                });
            }
            if (value['clickOn']) {
                $(value["id"]).focus(function () {
                    this.parentNode.className = "on";
                }).blur(function () {
                    this.parentNode.className = "";
                });
            }
        });
        $.each(_this["setting"]["bind"]["ids"], function (key, value) {
            if (value["exp"]) {
                $(value["id"]).on("keyup", function () {
                    if (!_this["setting"]["exp"][value["exp"]]["data"].test($(value["id"]).val())) {
                        $(value["id"]).focus();
                        if (value["addClass"]) {
                            $(_this["setting"]["bind"]["tip_id"]).eq(value["tip_id"]).addClass(_this["setting"]["bind"]["tip_error_css"]).html(_this["setting"]["exp"][value["exp"]]["msg"]);
                        } else {
                            $(_this["setting"]["bind"]["tip_id"]).eq(value["tip_id"]).html(_this["setting"]["exp"][value["exp"]]["msg"]);
                        }
                        $(_this["setting"]["bind"]["ico_id"]).eq(value["tip_id"]).removeClass(_this["setting"]["bind"]["ico_right_css"]).addClass(_this["setting"]["bind"]["ico_error_css"]);
                    } else {
                        $(_this["setting"]["bind"]["tip_id"]).eq(value["tip_id"]).removeClass(_this["setting"]["bind"]["tip_error_css"]).html('');
                        $(_this["setting"]["bind"]["ico_id"]).eq(value["tip_id"]).removeClass(_this["setting"]["bind"]["ico_error_css"]).addClass(_this["setting"]["bind"]["ico_right_css"]);
                    }
                });
            }
            if (value['clickOn']) {
                $(value["id"]).focus(function () {
                    this.parentNode.className = "on";
                }).blur(function () {
                    this.parentNode.className = "";
                });
            }
        });
    },
    login: function () {
        $('.dialog-bg').show();
        $('.r-dialog-panel').hide();
        $('.dialog-login').show();
        get_token('r-login-csrf-token');

        //引入文件或有可能延时
        if (typeof (tw_qr_login) == 'object') {
            tw_qr_login.init({divQrMain: '.dialog-login'});
            tw_qr_login.get_code();
        } else {
            setTimeout(function () {
                if (typeof (tw_qr_login) == 'object') {
                    tw_qr_login.init({divQrMain: '.dialog-login'});
                    tw_qr_login.get_code();
                } else {
                    setTimeout(function () {
                        if (typeof (tw_qr_login) == 'object') {
                            tw_qr_login.init({divQrMain: '.dialog-login'});
                            tw_qr_login.get_code();
                        } else {
                            setTimeout(function () {
                                if (typeof (tw_qr_login) == 'object') {
                                    tw_qr_login.init({divQrMain: '.dialog-login'});
                                    tw_qr_login.get_code();
                                }
                            }, 2000);
                        }
                    }, 1400);
                }
            }, 600);
        }
    },
    reg: function () {
        $('.dialog-bg').show();
        $('.r-dialog-panel').hide();
        $('.dialog-register').show();
        if (typeof (tw_qr_login) == 'object') {
            tw_qr_login.init({divQrMain: '.dialog-login'});
            tw_qr_login.reset();
        }
    },
    logout: function () {
        var url = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/check_login_user.php?act=logout';
        $.getJSON(url + '&callback=?', function (result) {
            if (result.code == '10') {
                if (self != top) {
                    window.parent.location = document.location.href;
                } else {
                    location.href = document.location.href;
                }
            }
        });
    },
    _extlogin: function (type) {
        var _this = this;
        var _setting = _this.setting.login;
        var protocol = $(_setting["ids"]["protocol"]["id"]).is(":checked");
        if (!protocol) {
            $(_setting["ids"]["protocol"]["id"]).focus();
            _this.alert(_setting["ids"]["protocol"]["msg"], _setting);
            return false;
        }

        extlogin_pop({type: type, game_id: _this.opts.game_id, agent_id: _this.opts.agent_id, placeid: _this.opts.placeid});
    },
    _chk_code: function () {
        return code_img = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/chkcode.inc.php?w=103&h=35&r=' + Math.random();
    },
    _login: function () {
        var _this = this;
        var _exp = _this.setting.exp;
        var _setting = _this.setting.login;
        var user = $(_setting.ids.user.id).val();
        var passwd = $(_setting.ids.passwd.id).val();
        var verify = $(_setting.ids.verify.id).val();
        var login_csrf_token = $(_setting.ids.csrf_token.id).val();

        //重置提示
        $(_setting.tip_id).removeClass(_setting.tip_error_css).html('');

        var protocol = $(_setting["ids"]["protocol"]["id"]).is(":checked");
        if (!protocol) {
            $(_setting["ids"]["protocol"]["id"]).focus();
            _this.alert(_setting["ids"]["protocol"]["msg"], _setting);
            return false;
        }

        var checkFlag = true;
        $.each(_setting.ids, function (key, value) {
            if (value["exp"] && !_exp[value["exp"]]["data"].test($(value["id"]).val())) {
                $(value["id"]).focus();
                if (value["addClass"]) {
                    $(_setting["tip_id"]).eq(value["tip_id"]).addClass(_setting["tip_error_css"]).html(_exp[value["exp"]]["msg"]);
                } else {
                    $(_setting["tip_id"]).eq(value["tip_id"]).html(_exp[value["exp"]]["msg"]);
                }

                checkFlag = false;
                return false;
            }
        });

        if (!checkFlag) return false;

        var login_url = _tw_pop_protocol + '//'+ _tw_pop_host +'/api/yscq_com/check_login_user.php?';
        var passwd2 = td(passwd);
        var params = 'act=login&login_user='+ encodeURIComponent(user) +'&login_pwd='+ passwd2 +'&password_type=1&is_chk_phone=1&login_yzm='+ verify;
        params += '&login_csrf_token='+encodeURIComponent(login_csrf_token);

        $.getJSON(login_url + params + '&callback=?', function (data) {
            switch (data.code) {
                case '01':
                    _this.alert(data.msg, _setting);
                    if(document.getElementById('r-verify-code-img') != null){
                        $('#r-verify-code-img').trigger('click');
                    }
                    get_token('r-login-csrf-token');

                    break;
                case '03':
                    //验证手机验证码
                    $('#rrrr-phone').html(data.mobile);
                    $('.r-dialog-panel').hide();
                    $('.dialog-login-verify').show();

                    break;
                case '04':
                    //验证问题
                    var answers = data.data,
                        _options = '<option value="">==请选择==</option>';
                    if(answers){
                        $.each(answers, function (k, val) {
                            _options += '<option value="'+val+'">'+ val +'</option>';
                        });
                    }
                    $('#verify_answer').html(_options).focus();
                    $('.r-dialog-panel').hide();
                    $('.dialog-login-question').show();

                    break;
                case '05'://绑定手机
                    $('.r-dialog-panel').hide();
                    $('.dialog-bind-phone').show();

                    break;
                case '10':
                    tw_qr_login.reset();
                    $('.dialog-bg').hide();
                    $('.r-dialog-panel').hide();

                    var url = _this.opts.gourl;
                    var t = url.split('#');
                    window.location.href = t[0];

                    break;
            }
        });
        return false;
    },
    _reg: function () {
        var _this = this;
        var _exp = _this.setting.exp;
        var _setting = _this.setting.reg;
        var user = $(_setting.ids.user.id).val();
        var passwd = $(_setting.ids.passwd.id).val();
        var rpasswd = $(_setting.ids.rpasswd.id).val();
        var truename = $(_setting.ids.truename.id).val();
        var idcard = $(_setting.ids.idcard.id).val();
        var phone = $(_setting.ids.phone.id).val();
        var phonecode = $(_setting.ids.phonecode.id).val();
        var verify = $(_setting.ids.verify.id).val();

        //重置提示
        $(_setting.tip_id).removeClass(_setting.tip_error_css).html('');
        $(_setting.ico_id).removeClass(_setting.ico_error_css).removeClass(_setting.ico_error_right);

        var checkFlag = true;
        $.each(_setting.ids, function (key, value) {
            if (value["exp"] && !_exp[value["exp"]]["data"].test($(value["id"]).val())) {
                $(value["id"]).focus();
                $(_setting["ico_id"]).eq(value["tip_id"]).addClass(_setting["ico_error_css"]);
                if (value["addClass"]) {
                    $(_setting["tip_id"]).eq(value["tip_id"]).addClass(_setting["tip_error_css"]).html(_exp[value["exp"]]["msg"]);
                } else {
                    $(_setting["tip_id"]).eq(value["tip_id"]).html(_exp[value["exp"]]["msg"]);
                }
                checkFlag = false;
                return false;
            }
            //真实姓名长度校验
            if(key == 'truename'){
                var len = getByteLen($(value["id"]).val());
                if(len < 4 || len > 30){
                    $(value["id"]).focus();
                    if (value["addClass"]) {
                        $(_setting["tip_id"]).eq(value["tip_id"]).addClass(_setting["tip_error_css"]).html('真实姓名格式错误，请重新输入');
                    } else {
                        $(_setting["tip_id"]).eq(value["tip_id"]).html('真实姓名格式错误，请重新输入');
                    }

                    checkFlag = false;
                    return false;
                }
            }
        });

        if (!checkFlag) return false;

        var tmp = "";
        tmp = "rpasswd";
        if (passwd != rpasswd) {
            $(_setting["ids"][tmp]["id"]).focus();
            _this.alert("确认密码不一致", _setting);
            return false;
        }
        var isChecked = $("#rr-dialog-protocol").is(":checked");

        var protocol = $(_setting["ids"]["protocol"]["id"]).is(":checked");
        if (!protocol) {
            $(_setting["ids"]["protocol"]["id"]).focus();
            _this.alert("请先阅读并同意《用户及隐私协议》", _setting);
            return false;
        }

        var reg_url = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/reg_json_2019.php';
        $.getJSON(reg_url + '?act=1&login_name=' + encodeURIComponent(user) + '&phone=' + phone + '&phone_code=' + phonecode + '&login_pwd=' + encodeURIComponent(passwd) + '&idcard=' + encodeURIComponent(idcard) + '&truename=' + encodeURIComponent(truename) + '&login_verify=' + verify + '&game_id=' + _this.opts.game_id + '&agent_id=' + _this.opts.agent_id + '&placeid=' + _this.opts.placeid + '&from_url=' + encodeURIComponent(window.location.href) + '&callback=?', function (jsonp) {
            if (jsonp != "ok") {
                if(document.getElementById('rr-safe-code-img') != null){
                    $('#rr-safe-code-img').trigger('click');
                }
                _this.alert(jsonp, _setting);
            } else {
                tw_qr_login.reset();
                $('.dialog-bg').hide();
                $('.r-dialog-panel').hide();

                var url = _this.opts.gourl;
                var t = url.split('#');
                window.location.href = t[0];
            }
        });
        return false;
    },
    _bind: function () {
        var _this = this;
        var _exp = _this.setting.exp;
        var _setting = _this.setting.bind;
        var phone = $(_setting.ids.phone.id).val();
        var phonecode = $(_setting.ids.phonecode.id).val();

        //重置提示
        $(_setting.tip_id).removeClass(_setting.tip_error_css).html('');
        $(_setting.ico_id).removeClass(_setting.ico_error_css).removeClass(_setting.ico_error_right);

        var checkFlag = true;
        $.each(_setting.ids, function (key, value) {
            if (value["exp"] && !_exp[value["exp"]]["data"].test($(value["id"]).val())) {
                $(value["id"]).focus();
                $(_setting["ico_id"]).eq(value["tip_id"]).addClass(_setting["ico_error_css"]);
                if (value["addClass"]) {
                    $(_setting["tip_id"]).eq(value["tip_id"]).addClass(_setting["tip_error_css"]).html(_exp[value["exp"]]["msg"]);
                } else {
                    $(_setting["tip_id"]).eq(value["tip_id"]).html(_exp[value["exp"]]["msg"]);
                }
                checkFlag = false;
                return false;
            }
        });

        if (!checkFlag) return false;

        var api_url = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/h5/user.php';
        $.getJSON(api_url + '?do=bindPhone&phone=' + phone + '&code='+ phonecode +'&callback=?', function (data) {
            switch (parseInt(data.status)) {
                case 200:
                    $('.dialog-bg').hide();
                    $('.r-dialog-panel').hide();

                    var url = _this.opts.gourl;
                    var t = url.split('#');
                    window.location.href = t[0];

                    break;
                default:
                    _this.alert(data.msg, _setting);
                    break;
            }
        });
        return false;
    },
    _login_verify : function(){
        var _this = this;
        var _exp = _this.setting.exp;
        var _setting = _this.setting.verify;

        //重置提示
        $(_setting.tip_id).removeClass(_setting.tip_error_css).html('');
        $(_setting.ico_id).removeClass(_setting.ico_error_css).removeClass(_setting.ico_error_right);

        var checkFlag = true;
        $.each(_setting.ids, function (key, value) {
            if (value["exp"] && !_exp[value["exp"]]["data"].test($(value["id"]).val())) {
                $(value["id"]).focus();
                $(_setting["ico_id"]).eq(value["tip_id"]).addClass(_setting["ico_error_css"]);
                if (value["addClass"]) {
                    $(_setting["tip_id"]).eq(value["tip_id"]).addClass(_setting["tip_error_css"]).html(_exp[value["exp"]]["msg"]);
                } else {
                    $(_setting["tip_id"]).eq(value["tip_id"]).html(_exp[value["exp"]]["msg"]);
                }
                checkFlag = false;
                return false;
            }
        });

        if (!checkFlag) return false;

        var code = $( _setting.ids.phonecode.id ).val();
        var api_url = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/check_login_phone.php?do=chk_code&code='+code;
        $.getJSON(api_url+'&callback=?',function (data){
            if(data){
                if(data.code=='10'){
                    _this._login();
                } else {
                    _this.alert(data.msg, _setting);
                }
            }
        });
        return false;

    },
    _login_question : function(){
        var _this = this;
        var answer = $('#verify_answer').val();
        if(!answer){
            alert('请选择答案');
            return false;
        }

        var _url = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/check_login_question.php?answer='+encodeURIComponent(answer);
        $.getJSON(_url+'&callback=?',function (data){
            if(data){
                if(data.code=='10'){
                    _this._login();
                } else {
                    _this.alert(data.msg);
                    if(data.code=='100'){
                        $('.r-dialog-panel, .dialog-bg').hide();
                    }

                    return false;
                }
            }
        });
    },
    alert: function (msg, objSetting) {
        var obj = $(objSetting.act_tip_id);
        obj.css('display', 'none');//为了下面的fadeIn
        obj.find('p').html(msg);
        obj.fadeIn(300);
        setTimeout(function () {
            $(objSetting.act_tip_id).fadeOut(300);
        }, 2000)
    },

    //保留之前方法名
    getCookie: function (cookieName) {
        pop_lr._getcookie(cookieName, '');
    },

    _getcookie: function (cookieName, defaultValue) {
        var arr, reg = new RegExp("(^| )" + cookieName + "=([^;]*)(;|$)");
        if (arr = document.cookie.match(reg)) {
            return unescape(arr[2])
        }
        return defaultValue;
    },

    _setcookie: function (cookieName, cookieValue, seconds) {
        var expires = new Date();
        expires.setTime(expires.getTime() + parseInt(seconds) * 1000);
        document.cookie = escape(cookieName) + '=' + escape(cookieValue) + (seconds ? ('; expires=' + expires.toGMTString()) : "") + '; path=/; domain=tanwan.com;';
    },

    //保留
    $popup: function (arg1, arg2, lock) {
        var isIE = !!window.ActiveXObject, isIE6 = isIE && !window.XMLHttpRequest,
            isIE8 = isIE && !!document.documentMode, isIE7 = isIE && !isIE6 && !isIE8;
        var $arg1 = arg1;
        var $arg2 = arg2;
        var $pLeft = ($(window).width() - $($arg1).width()) / 2 + $(window).scrollLeft();
        var $pTop = ($(window).height() - $($arg1).height()) / 2 + $(window).scrollTop();
        $pTop = $pTop > 0 ? $pTop : 40;
        if (isIE6) {
            $("html,body").css("overflow", "hidden");
        }
        $("<div class='gray'></div>").appendTo($("body")).height($(document).height()).fadeTo("fast", 0.4);
        $($arg1).css({
            display: 'block',
            position: 'fixed',
            left: $pLeft,
            //top : $pTop,
            zIndex: 10000
        });
        var obj_str = $arg2 + ',' + ".gray";
        if (lock) {
            obj_str = $arg2;
        }
        $(obj_str).click(function () {
            $($arg1).hide();
            if (isIE6) {
                $("html,body").css("overflow", "")
            }
            ;
            $(".gray").fadeOut(500, cb);

            function cb() {
                $(this).remove();
            }

            return false;
        });
        //窗口大小变化时调用
        $(window).bind('scroll resize', function (event) {
            var $pLeft = ($(window).width() - $($arg1).width()) / 2 + $(window).scrollLeft();
            var $pTop = ($(window).height() - $($arg1).height()) / 2 + $(window).scrollTop();
            $($arg1).animate({
                left: $pLeft,
                //top : $pTop
            }, {
                duration: 500,
                queue: false
            })
        })
    },
    //发送验证码
    _send_code: function (from) {
        var _this = this;
        var _exp = _this.setting.exp;
        var value = _this.setting[from].ids.phone;
        if(from == 'reg') {
            var code_btn_obj = $(_this.opts.code_btn);
        } else {
            var code_btn_obj = $(_this.opts.code_btn_bind);
        }

        if (code_btn_obj.data('send') == 'true' || code_btn_obj.data('send') == true) {
            return;
        }

        //判断手机号
        if (value["exp"] && !_exp[value["exp"]]["data"].test($(value["id"]).val())) {
            _this.alert(_exp[value["exp"]]["msg"], _this.setting[from]);
            return;
        }
        var phone = $(value['id']).val();
        var txt = code_btn_obj.val();

        if(from == 'reg') {
            var api_url = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/reg_json_2019.php?act=3&phone='+ phone;
        } else {
            var api_url = _tw_pop_protocol + '//'+ _tw_pop_host +'/api/yscq_com/h5/user.php?do=bindPhoneCode&phone='+ phone;
        }
        $.getJSON(api_url + '&callback=?', function (data) {
            switch (parseInt(data.status)) {
                case 200:
                    code_btn_obj.data('send', 'true');
                    _this._after_send(120, function () {
                        code_btn_obj.data('send', 'false');
                        code_btn_obj.val(txt);
                    },from);
                    break;
                default:
                    _this.alert(data.msg, _this.setting[from]);
                    break;
            }
        });
        return false;
    },
    _send_code_verify: function () {
        var _this = this;
        var _exp = _this.setting.exp;
        var value = _this.setting['verify'].ids.phone;
        var code_btn_obj = $(_this.opts.code_btn_verify);
        var phone = $(value['id']).val();

        if(!phone) return ;
        if (code_btn_obj.data('send') == 'true' || code_btn_obj.data('send') == true) {
            return;
        }

        var txt = code_btn_obj.val();
        var api_url = _tw_pop_protocol +'//'+ _tw_pop_host +'/api/yscq_com/check_login_phone.php?do=get_code&login_user='+ phone;
        $.getJSON(api_url + '&callback=?', function (data) {
            if(data){
                if(data.code=='10'){
                    code_btn_obj.data('send','true');
                    _this._after_send(120, function(){
                        code_btn_obj.data('send','false');
                        code_btn_obj.val(txt);
                    }, 'verify');
                } else {
                    _this.alert(data.msg, _this.setting['verify']);
                }
            }
        });
        return false;
    },
    _after_send: function (time, callback, from) {
        var _this = this;
        switch (from) {
            case 'reg':
                var code_btn_obj = $(_this.opts.code_btn);

                break;
            case 'bind':
                var code_btn_obj = $(_this.opts.code_btn_bind);

                break;
            case 'verify':
                var code_btn_obj = $(_this.opts.code_btn_verify);

                break;
        }

        if (typeof time !== 'number')
            time = 120;
        var twcode_interval = window.setInterval(function () {
            code_btn_obj.val(time + 's后再发');
            if (time === 0) {
                clearInterval(twcode_interval);
                if (typeof callback === 'function') callback()
            }
            time--;
        }, 1000);
    },
    _css: function () {
        var css = '<style>#r-dialog .dialog-dl-yzm input:hover.rr-phone-submit{background-color:#ddd}#r-dialog .dialog-dl-yzm input:focus.rr-phone-submit{border:none}#r-dialog .dialog-dl-yzm input.rr-phone-submit{background:#EEE;width:110px;margin-left:10px;cursor:pointer}#r-dialog dl,blockquote,button,code,dd,dt,fieldset,form,h2,h3,h4,h5,h6,input,legend,li,ol,p,pre,td,textarea,th,ul{margin:0;padding:0;font-family:Microsoft YaHei}#r-dialog{font-size:12px;line-height:16px}#r-dialog ul,li,ol{list-style:none}#r-dialog img{border:0}#r-dialog a{color:#000;text-decoration:none;cursor:pointer}#r-dialog em,i{font-style:normal}#r-dialog a:focus,input{outline:0}#r-dialog button{outline:0}#r-dialog a{outline:0;star:expression(this.onFocus=this.blur())}#r-dialog .fl{float:left}.dialog-bg{position:fixed;top:0;right:0;bottom:0;left:0;overflow:hidden;outline:0;-webkit-overflow-scrolling:touch;background-color:#000;filter:alpha(opacity=60);background-color:rgba(0,0,0,.6);z-index:99}#r-dialog .r-dialog-close{height:22px;width:22px;background:url(//image.tanwan.com/platform/2018/img/dialog-close.jpg) no-repeat;position:absolute;top:16px;right:16px}#r-dialog .dialog-login{width:616px;height:356px;background:#fff;position:fixed;left:50%;margin-left:-308px;top:50%;margin-top:-178px;z-index:999;border-radius:4px}#r-dialog .dialog-box{height:300px;width:550px;margin:0 auto;margin-top:28px}#r-dialog .dialog-box-l{width:205px;float:left;height:300px;border-right:1px solid #eee;text-align:center;padding-right:25px}#r-dialog .dialog-dl-h3{font-size:16px;color:#2e2e2e;margin-top:15px}#r-dialog .dialog-dl-txt{color:#666;font-size:14px;margin:15px 0}#r-dialog .dialog-dl-img{width:124px;height:124px;margin: 0 auto;}#r-dialog .dialog-dl-az{color:#666;font-size:14px;margin-top:10px}#r-dialog .dialog-dl-az a{color:#fe5600}#r-dialog .dialog-box-r{width:318px;float:left;height:300px;position:relative}#r-dialog .dialog-box-dl{width:262px;height:300px;margin-left:44px;position:relative}#r-dialog .dialog-zh-tit{color:#2e2e2e;font-size:16px;font-weight:700;width:100%;margin-top:10px;padding-bottom:10px}#r-dialog .dialog-zh-dl{width:100%;margin-top:10px;position:relative}#r-dialog .r-dialog-tip-error{width:180px;text-align:center;color:#fe5600;font-size:12px;font-weight:700;left:50%;margin-left:-90px;top:22px;position:absolute;border-radius:3px;z-index:99}#r-dialog .r-dialog-act-error{background:#FFFBEE;border:1px solid #FECF7B;position:absolute;border-radius:3px;z-index:9;-webkit-box-shadow:#FFF6ED 0 2px 4px;-moz-box-shadow:#FFF6ED 0 2px 4px;box-shadow:#FFF6ED 0 2px 4px;text-align:center;font-weight:700;right:-25px;display:block;top:72px}#r-dialog .r-dialog-act-error p{padding:0 40px;font-size:12px;color:#fe5600;line-height:32px}#r-dialog .dialog-tolog-btn{background:#FDE701;border:0;width:100%;height:36px;color:#2e2e2e;font-size:14px;text-align:center;border-radius:4px;cursor:pointer}#r-dialog .dialog-tolog-btn:hover{background:#f4cf00}#r-dialog .dialog-autolog-box{width:100%;height:40px;line-height:40px;margin-bottom:6px}#r-dialog .dialog-autolog-box label{float:left;color:#888;cursor:pointer;line-height:40px}#r-dialog .dialog-autolog-box label input{float:left;margin-top:14px;margin-right:5px}#r-dialog .dialog-autolog-box a,.link-reg{float:right;color:#888;font-size:12px}#r-dialog .dialog-autolog-box a:hover,.link-reg:hover{color:#fe5600}#r-dialog .dialog-third{height:16px;width:100%}#r-dialog .dialog-third-p{float:left;height:16px}#r-dialog .dialog-third-p a{float:left;color:#888}#r-dialog .dialog-third-p a:hover,.sq-qr-xz a:hover,.user-face-btn a:hover{color:#333}#r-dialog .dialog-third-p i{height:16px;float:left;width:15px;background:url(//image.tanwan.com/platform/2018/img/third-ico.png) no-repeat;margin-right:2px}#r-dialog .dialog-third-p .dialog-third-qq i{background-position:0 -44px}#r-dialog .dialog-third-p .dialog-third-wx i{background-position:-22px -44px}#r-dialog .dialog-third-p .dialog-third-wb i{background-position:-41px -44px}#r-dialog .dialog-third-p span{height:16px;width:1px;background:url(//image.tanwan.com/platform/2018/img/third-s.jpg) no-repeat;float:left;margin:0 9px}#r-dialog .dialog-third-p a:hover.dialog-third-qq i{background-position:0 -62px}#r-dialog .dialog-third-p a:hover.dialog-third-wx i{background-position:-22px -62px}#r-dialog .dialog-third-p a:hover.dialog-third-wb i{background-position:-41px -62px}#r-dialog .dialog-dl-yzm{width:100%;float:left;position:relative;height:48px}#r-dialog .dialog-dl-yzm input{width:90px;0px;background:0 0;text-indent:10px;float:left;border:1px solid #e8e8e8;height:34px;border-radius:3px}#r-dialog .dialog-dl-yzm img{float:left;height:35px}#r-dialog .dialog-dl-vt{color:red;position:absolute;right:-30px;top:10px}#r-dialog .dialog-user{text-align:left;margin-top:25px;font-size:14px;color:#2e2e2e}#r-dialog .dialog-user i{color:#fe5600}#r-dialog .dialog-bd-txt{font-size:12px;color:#888;margin-bottom:12px;text-align:left;text-indent:2em;line-height:21px;width:100%;margin-top:10px}#r-dialog .dialog-bd-img{height:161px}#r-dialog .dialog-bd-xy{color:#888;height:36px;width:100%;float:left}#r-dialog .dialog-bd-xy label{float:left}#r-dialog .dialog-bd-xy input{width:13px;height:13px;margin-top:3px;float:left;margin-right:4px}#r-dialog .dialog-bd-xy a{float:left;color:#000}#r-dialog .dialog-bd-xy a:hover{color:#FE5700}#r-dialog .dialog-box-dl.dialog-bd-zh{margin-top:44px;height:260px}#r-dialog .dialog-bd-xczs{margin-top:22px;width:100%}#r-dialog .dialog-bd-xczs a{font-size:16px;color:#fe5600;float:right}#r-dialog .dialog-bd-error{height:16px;width:100%;position:absolute;left:0;top:-28px;background:url(//image.tanwan.com/platform/2018/img/bd-error.jpg) no-repeat;color:#fe5600;font-size:12px;line-height:18px;text-indent:21px}#r-dialog .dialog-register,#r-dialog .dialog-bind-phone,#r-dialog .dialog-login-verify,#r-dialog .dialog-login-question{width:416px;height:446px;background:#fff;position:fixed;left:50%;margin-left:-208px;top:50%;margin-top:-259px;z-index:999;border-radius:4px}#r-dialog .dialog-register-box,#r-dialog .dialog-bind-phone-box{width:262px;margin:0 auto;height:400px}#r-dialog .dialog-register-tit,#r-dialog .dialog-bind-phone-tit{width:100%;text-align:center;font-size:20px;color:#2e2e2e;margin-top:42px;margin-bottom:22px}#r-dialog .dialog-register-rt{color:#888;text-align:center;width:100%;font-size:12px;margin-top:30px}#r-dialog .dialog-register-rt a{color:#fe5600}#r-dialog .dialog-box-l .sq-qr-error{color:#3c3c3c;font-size:18px;float:left;width:128px;margin-left:16px;margin-top:100px;background:url(//image.tanwan.com/platform/2018/img/qr-ico.png) 0 -30px no-repeat;height:24px;line-height:24px;padding-left:31px}#r-dialog .dialog-box-l .sq-qr-success{color:#3c3c3c;font-size:18px;float:left;width:128px;margin-left:16px;margin-top:100px;background:url(//image.tanwan.com/platform/2018/img/qr-ico.png) no-repeat;height:24px;line-height:24px;padding-left:31px}#r-dialog .dialog-box-l .sq-qr-msg-p{font-size:14px;float:left;width:100%;color:#3c3c3c;text-align:center;padding:9px 0}#r-dialog .dialog-box-l .sq-qr-msg-p a{color:#CC690C}#r-dialog .dialog-box-l .sq-qr-msg-p a:hover{text-decoration:underline}#r-dialog .dialog-box-l .sq-qr-xz{width:100%;text-align:center}#r-dialog input:-webkit-autofill{-webkit-box-shadow:0 0 0 1000px #fff inset}#dialog-sj,#dialog-bdsj{background:url(//image.tanwan.com/platform/2018/img/bdphone.png) no-repeat}#dialog-mm,#r-dialog #dialog-zh{background:url(//image.tanwan.com/platform/2018/img/dl-ico.png) no-repeat}#dialog-sfzh,#r-dialog #dialog-zsxm{background:url(//image.tanwan.com/platform/2018/img/dialog-yz.png) no-repeat}#dialog-mm,#dialog-sfzh,#dialog-zsxm,#r-dialog #dialog-zh,#dialog-sj{width:100%;border:1px solid #e8e8e8;height:34px;color:#494949;line-height:34px;border-radius:3px;margin-bottom:12px;text-indent:40px;float:left}#dialog-mm input,#dialog-sfzh input,#dialog-zsxm input,#r-dialog #dialog-zh input,#dialog-sj input{border:0;line-height:34px;height:34px;width:224px;float:left;padding-left:38px;background:0 0;text-indent:0}#r-dialog #dialog-zsxm{background-position:10px 9px}#r-dialog #dialog-sfzh{background-position:10px -50px}#r-dialog #dialog-zsxm.on{background-position:10px -104px}#r-dialog #dialog-sfzh.on{background-position:10px -163px}#r-dialog #dialog-zh{background-position:9px 7px}#dialog-sj,#dialog-bdsj{background-position:12px 7px}#dialog-mm.on,#dialog-sfzh.on,#dialog-zsxm.on,#r-dialog #dialog-zh.on,#r-dialog #dialog-sj.on{outline:0;border:1px solid #494949}#r-dialog #dialog-mm{background-position:9px -41px}#r-dialog #dialog-zh.on{background-position:9px -91px}#r-dialog #dialog-sj.on,#dialog-bdsj.on{background-position:12px -38px}#r-dialog #dialog-mm.on{background-position:9px -139px}#r-dialog .dialog-dl-yzm input:focus{outline:0;border:1px solid #494949}#r-dialog input::-webkit-input-placeholder{color:#999}#r-dialog input:-moz-placeholder{color:#999}#r-dialog input::-moz-placeholder{color:#999}#r-dialog input:-ms-input-placeholder{color:#999}#dialog-bdsj input{border:0px;line-height:34px;height:34px;width:224px;float:left;background:none}#dialog-bdsj{width:100%;border:1px solid #e8e8e8;height:34px;color:#494949;line-height:34px;border-radius:3px;margin-bottom:12px;text-indent:40px;float:left;padding-left: 40px;}#dialog-bdsj.on{outline:none;border:1px solid #494949}.dialog-bind-phone-txt{line-height:23px;padding-bottom:15px;font-size:13px;width:100%;float:left;color:#888}.dialog-bind-phone-txt span{color:#000;font-size:14px;padding-top:10px;width:100%;float:left}#dialog-sjdxyz,#dialog-dtyz{width:100%;height:34px;color:#494949;line-height:34px;margin-bottom:8px;float:left}</style>';
        $('body').append(css);
    },
    _tpl: function () {
        var xieyiUrl = "//www.tanwan.com/news/pages/?id=24226";
        if (document.domain == 'm.tanwan.com') xieyiUrl = "//m.tanwan.com/news/xw/74011.html"
        var tpl = '<div class="dialog-bg"style="display:none"></div><div class="r-dialog"id="r-dialog"><div class="dialog-bg"style="display:none"></div><div class="r-dialog"id="r-dialog"><div class="r-dialog-panel dialog-login"style="display:none"><a href="javascript:;"target="_self"class="r-dialog-close"title="关闭"></a><div class="dialog-box"><div class="sq-qr-main"><div class="dialog-box-l sq-qr-content"style="display:block"><h3 class="dialog-dl-h3">二维码登录</h3><p class="dialog-dl-txt">用贪玩令牌扫描二维码</p><div class="sq-qr-img"><img class="dialog-dl-img"src=""/></div><div class="dialog-dl-az">尚未安装？<a href="https://qrcode.tanwan.com/app/pc/"target="_blank">点击下载</a></div></div><div class="dialog-box-l sq-qr-message"style="display:none"><span class="sq-qr-error">二维码已失效</span><p class="sq-qr-msg-p">请<a class="sq-qr-refresh">点此刷新二维码</a>后重试</p><p class="sq-qr-xz fl"><a href="https://qrcode.tanwan.com/app/pc/">尚未安装？点击下载</a></p></div></div><div class="dialog-box-r"><div class="dialog-box-dl"><p class="dialog-zh-tit lt">登录贪玩平台</p><div class="dialog-tip"></div><div class="r-dialog-act-error"style="display:none"><p></p></div><div class="dialog-zh-dl lt"><p id="dialog-zh"><input type="text"name="login_account"title="帐号输入"maxlength="30"id="r-username"placeholder="邮箱/手机号码"/></p><p id="dialog-mm"><input name="password"type="password"title="输入密码"maxlength="30"id="r-password"placeholder="输入密码"/></p><p class="dialog-dl-yzm"><input maxlength="4"placeholder="验证码"type="text"name="safe_code"id="r-verify-code"autocomplete="off"title="验证码"/><img id="r-verify-code-img"onclick="this.src=\'//'+ _tw_pop_host +'/api/yscq_com/chkcode.inc.php?w=103&amp;h=35&amp;r=\'+Math.random()"src="//'+ _tw_pop_host +'/api/yscq_com/chkcode.inc.php?w=103&amp;h=35"style="vertical-align:middle;padding-left:10px;cursor:pointer"title="点击更换"/><i class="dialog-tip dialog-dl-vt"></i><input type="hidden"id="r-login-csrf-token"value=""/></p><button class="dialog-tolog-btn"id="tj-r-btn-log"title="马上登录">马上登录</button></div><p class="dialog-autolog-box fl"><label><input type="checkbox"name="save_state"id="r-dialog-protocol"checked>我同意<a href="'+xieyiUrl+'"target="_blank">《用户服务及隐私协议》</a></label><a target="_blank"href="//www.tanwan.com/help.php?act=getpwd">忘记密码</a></p><div class="dialog-third fl"><p class="dialog-third-p"><a href="javascript:;"class="dialog-third-qq"><i></i>QQ</a><span></span><a href="javascript:;"class="dialog-third-wx"><i></i>微信</a><span></span><a href="javascript:;"class="dialog-third-wb"><i></i>微博</a></p><a href="javascript:;"id="hasNoAccount"class="link-reg"style="color: #888;">注册帐号</a></div></div></div></div></div><div class="r-dialog-panel dialog-register"style="display:none;height:606px;margin-top: -309px;"><a href="javascript:;"target="_self"class="r-dialog-close"title="关闭"></a><div class="dialog-register-box dialog-zh-dl"><div class="dialog-tip"style="top:29px"></div><div class="r-dialog-act-error"style="display:none"><p></p></div><p class="dialog-register-tit">注册贪玩账号</p><p id="dialog-zh"><input type="text"id="rr-username"title="帐号输入"maxlength="20"placeholder="邮箱/手机号码"/></p><p id="dialog-mm"><input type="password"id="rr-password"title="输入密码"maxlength="50"placeholder="输入密码"/></p><p id="dialog-mm"><input type="password"id="rr-rpassword"title="确认密码"maxlength="50"placeholder="确认密码"/></p><p id="dialog-zsxm"><input type="text"id="rr-truename"title="真实姓名"maxlength="50"placeholder="请输入真实姓名"/></p><p id="dialog-sfzh"><input type="text"id="rr-idcard"title="身份证号"maxlength="50"placeholder="请输入身份证号码"/></p><p id="dialog-sj"><input type="text"id="rr-phone"title="手机号"maxlength="20"placeholder="请输入正确手机号"/></p><p class="dialog-dl-yzm"><input type="text"maxlength="6"id="rr-phone-code"title="短信验证码"placeholder="短信验证码"/><input type="button"value="获取验证码"id="rr-phone-code-btn"class="rr-phone-submit"/><i class="dialog-tip dialog-dl-vt"></i></p><p class="dialog-dl-yzm"><input type="text"maxlength="4"id="rr-safe-code"title="验证码"placeholder="验证码"/><img id="rr-safe-code-img"onclick="this.src=&quot;//'+ _tw_pop_host +'/api/yscq_com/chkcode.inc.php?w=103&amp;h=35&amp;r=&quot;+Math.random()"src="//'+ _tw_pop_host +'/api/yscq_com/chkcode.inc.php?w=103&amp;h=35"style="vertical-align:middle;padding-left:10px;cursor:pointer"title="点击更换"/><i class="dialog-tip dialog-dl-vt"></i></p><p class="dialog-bd-xy"><label><input type="checkbox"name="autolog"id="rr-dialog-protocol"checked/>我已阅读并同意</label><a href="'+xieyiUrl+'"target="_blank"title="用户服务协议及隐私协议">用户服务协议及隐私协议</a></p><button id="sub-reg"class="dialog-tolog-btn"title="接受协议并注册">接受协议并注册</button><p class="dialog-register-rt">已有账号，<a href="javascript:;"id="hasAccount"target="_self">立即登录</a></p></div></div><div class="r-dialog-panel dialog-bind-phone"style="display:none;height: 530px;"><a href="javascript:;"target="_self"class="r-dialog-close"data-action="reload"title="关闭"></a><div class="dialog-bind-phone-box dialog-zh-dl"><div class="dialog-tip"style="top:29px"></div><div class="r-dialog-act-error"style="display:none;"><p></p></div><p class="dialog-bind-phone-tit">绑定手机</p><p class="dialog-bind-phone-txt">*亲爱的用户，网页登录存在安全风险，未绑定手机模式将可能导致您部分游戏功能无法体验，并且无法保障数据安全。为了保障您的账号、虚拟财产及个人信息安全，强烈请您尽快绑定手机！</p><p id="dialog-bdsj"><input type="text"id="rrr-phone"title="请输入绑定手机"placeholder="请输入绑定手机"></p><p class="dialog-dl-yzm"><input type="text"maxlength="6"id="rrr-phone-code"title="短信验证码"placeholder="短信验证码"/><input type="button"value="获取验证码"id="rrr-phone-code-btn"class="rr-phone-submit"/><i class="dialog-tip dialog-dl-vt"></i></p><button id="sub-bind"class="dialog-tolog-btn"title="立即绑定">立即绑定</button><p class="dialog-bind-phone-txt"><span>绑定手机立享尊贵特权</span><br>特权1：快速自助找回账号密码<br>特权2：提高账号安全系数，降低被盗风险<br>特权3：平台福利活动、节日礼包定期推送<br>特权4：专属客服MM直线联系</p></div></div><div class="r-dialog-panel dialog-login-verify"style="display: none;height: 270px;"><a href="javascript:;"target="_self"class="r-dialog-close"title="关闭"></a><div class="dialog-bind-phone-box dialog-zh-dl"><div class="dialog-tip"style="top:29px"></div><div class="r-dialog-act-error"style="display:none;"><p></p></div><p class="dialog-bind-phone-tit">手机短信验证</p><p id="dialog-sjdxyz">您的手机号码：<span id="rrrr-phone"></span></p><p class="dialog-dl-yzm"><input type="text"maxlength="6"id="rrrr-phone-code"title="短信验证码"placeholder="短信验证码"/><input type="button"value="获取验证码"id="rrrr-phone-code-btn"class="rr-phone-submit"/><i class="dialog-tip dialog-dl-vt"></i></p><button id="sub-login-verify"class="dialog-tolog-btn"title="继续">继续</button></div></div><div class="r-dialog-panel dialog-login-question"style="display: none;height: 270px;"><a href="javascript:;"target="_self"class="r-dialog-close"title="关闭"></a><div class="dialog-bind-phone-box dialog-zh-dl"><div class="dialog-tip"style="top:29px"></div><div class="r-dialog-act-error"style="display:none;top:129px;"><p></p></div><p class="dialog-bind-phone-tit">答题验证</p><p id="dialog-dtyz">问题：当前账号上次登录地是？</p><p class="dialog-dl-yzm">答案：<select id="verify_answer"></select></p><button id="sub-login-question"class="dialog-tolog-btn"title="继续">继续</button></div></div></div></div>';
        $('body').append(tpl);
    },
}